Page MenuHomePhabricator

[Regression wmf.18] "Falling back to DifferenceEngineSlotDiffRenderer" logspam
Closed, ResolvedPublic

Description

This is log message has severity NOTICE which means it is a non-error, however it seems either this is a real error with the wrong severity, or it should be disabled in production.

+145,000 hits in the last 24 hours, during enablement of 1.32.0-wmf.18. In the diff channel.

Sample
level=NOTICE
type=mediawiki
channel=diff

Falling back to DifferenceEngineSlotDiffRenderer

Example url that triggers the message in the logs server-side, https://en.m.wikipedia.org/wiki/Special:MobileDiff/243891470.

Details

Related Gerrit Patches:

Event Timeline

Krinkle created this task.Aug 23 2018, 11:01 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 23 2018, 11:01 PM

According to http://codesearch.wmflabs.org this message is from https://gerrit.wikimedia.org/g/mediawiki/core/+/master/includes/content/ContentHandler.php#668, introduced just recently (3 days ago) via https://gerrit.wikimedia.org/r/445200, linked to T194731: Show diffs for all slots [MCR], a Multi-Content-Revisions ticket.

I'm pretty sure this is unrelated to the changes we, the TCB-Team, made to wikidiff2 the past weeks.

Tgr added a comment.Aug 24 2018, 10:35 AM

This is not an error. SlotDiffRenderer has been split out of DifferenceEngine for handling slot-level functionality (i.e. single-content diff, as opposed to full-page diff which can soon include multiple content slots), this is a warning when some extension still tries to use DifferenceEngine for slot-level functionality (so the ContentHandler puts it into a compatibility wrapper).

For now this is fully expected for extensions which provide custom diff implementations. Eventually it should become a deprecation warning but we need to update all extensions in WMF production first. Probably we should downgrade it to INFO?

Change 455403 had a related patch set uploaded (by Gergő Tisza; owner: Gergő Tisza):
[mediawiki/core@master] Make warning about deprecated SlotDiffRenderer wrapper less noisy

https://gerrit.wikimedia.org/r/455403

Change 455403 merged by jenkins-bot:
[mediawiki/core@master] Make warning about deprecated SlotDiffRenderer wrapper less noisy

https://gerrit.wikimedia.org/r/455403

Krinkle closed this task as Resolved.Sep 19 2018, 12:53 AM
Krinkle claimed this task.
mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:08 PM